#include<bits/stdc++.h>
#define ll long long
using namespace std;
ll N,K,u,niz[2000005],duzina;
int main(){
    ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    cin>>N>>K;
    duzina=0;
    for(int i=0;i<=2*N;i++)
        niz[i]=0;
    for(int i=1;i<=N;i++){
        cin>>u;
        niz[u+N]++;
    }
    for(int i=0;i<=2*N;i++)
        if(niz[i]>=K)
            duzina++;
    cout<<duzina<<endl;
    for(int i=0;i<=2*N;i++)
        if(niz[i]>=K)
            cout<<i-N<<" ";
    return 0;
}